Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055326 - [User Portal] [UP] [Docs] Procedure 4.5 "Using USB Devices on Virtual Machines" incorrect
Summary: [User Portal] [UP] [Docs] Procedure 4.5 "Using USB Devices on Virtual Machine...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: Andrew Dahms
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 01:34 UTC by Zac Dover
Modified: 2014-03-27 02:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-27 02:06:02 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Zac Dover 2014-01-20 01:34:23 UTC
Description of problem:

Documentation Link
------------------
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html-single/User_Portal_Guide/index.html#Using_USB_devices_on_virtual_machines2

NVR
---
Red_Hat_Enterprise_Virtualization-User_Portal_Guide-3.3-en-US-3.3-10.400

In "4.5 Using USB Devices on Virtual Machines"
  In "Procedure 4.1 Using USB devices on Windows client"
   Step 1. needs to be modified:
     * USBclerk is not installed by the CAB file but with its own MSI file
     * Administrator Privileges are required
     * Possibly it can be made available on customer's Active Directory
     * If needed please consult with a Windows sysadmin how to do that.
     * MSI files can be found on the RHEV-M server (under /usr/share/spice)
     * Before documenting the location on RHEV-M server, please discuss
       with RHEV-M people how they want to make the MSI files available.
       Possibly they would prefer users not to log into the RHEV-M server.
     * The usbclerk-setup.exe file does not exist on the specified location
       anymore.
     * Also note that Step 3 -- "Enable USB Auto-Share" is not required for
       USB-sharing, it's just enables spice usbredir auto-share feature.
     * What is auto-share ? As explained in  Step 4, with auto-share enabled,
       when a user plugs a new USB device into the client machine it's 
       automatically redirected to the guest.
     * Regardless of auto-share, users can choose devices to redirect with the
       guest from the spice client (remote-viewer) menu -- File -> USB device 
       selection (see Table 4.1 in "4.2 Using SPICE Connection Options").
       (--from an email by Uri Lublin, "SPICE gaps in RHEV 3.3", 17 Jan 2014).


Version-Release number of selected component (if applicable):
Red_Hat_Enterprise_Virtualization-User_Portal_Guide-3.3-en-US-3.3-10.400

Comment 1 Zac Dover 2014-01-20 04:47:00 UTC
This comment contains the text currently in User Portal Guide section 4.5 "Using USB Devices on Virtual Machines". This is the text prior to the improvements I will make.

BEGIN QUOTE
4.5. Using USB Devices on Virtual Machines
A virtual machine that is connected with the SPICE protocol can be configured to connect USB devices. To do so, the USB device has to be plugged into the client machine, which is the hardware you use to access a guest. The device is then redirected to appear on the guest machine, which is the virtual desktop or virtual server you access through the User Portal.
Native mode for USB redirection enables native KVM/ SPICE USB redirection for Red Hat Enterprise Linux and Windows virtual machines. Virtual machines do not require any in-guest agents or drivers for native USB. This option is used for virtual machines compatible with Red Hat Enterprise Virtualization 3.1 and higher. Native USB mode is supported on the following clients and guests:

    Client
        Red Hat Enterprise Linux 6.0 and higher
        Red Hat Enterprise Linux 5.5 and higher
        Windows XP
        Windows 7
        Windows 2008 
    Guest
        Red Hat Enterprise Linux 6.0 and higher
        Red Hat Enterprise Linux 5.5 and higher
        Windows XP
        Windows 7 

Procedure 4.1. Using USB devices on a Windows client

        If the SPICE ActiveX component was installed by a user with administrative privileges, the usbclerk service has been automatically installed.
        If the SPICE ActiveX component was installed by a user without administrative privileges, the usbclerk service must be manually installed by a user with administrative privileges.
        The usbclerk setup file can be found in the directory where virt-viewer was installed, for example: C:\Users\username\AppData\Local\virt-viewer\bin\usbclerk-setup.exe.
        Double click on the usbclerk-setup.exe file to launch the installer, and follow the prompts to install usbclerk.
    When the usbclerk service is installed and running, select a virtual machine which has been configured to use the SPICE protocol, and turn it on.
    Click the Edit button on the details pane to open the Console Options window, and tick the Enable USB Auto-Share check box.
    Double click on the running virtual machine to connect to it. When you plug your USB device into the client machine, it will automatically be redirected to appear on your guest machine. 

Procedure 4.2. Using USB devices on a Red Hat Enterprise Linux client

    Select a virtual machine which has been configured to use the SPICE protocol, and turn it on.
    Click the Edit button on the details pane to open the Console Options window, and tick the Enable USB Auto-Share check box.
    Double click on the running virtual machine to connect to it. When you plug your USB device into the client machine, it will automatically be redirected to appear on your guest machine.
END QUOTE

Comment 2 Andrew Dahms 2014-03-27 02:06:02 UTC
The content of this bug has been addressed via several other bugs during the Red Hat Enterprise Virtualization 3.3 release. Actual use of USB devices shall be reviewed again for the Red Hat Enterprise Virtualization release and the required details added there.


Note You need to log in before you can comment on or make changes to this bug.